Subject: Re: Picking up include directories automatically
From: [email-masked] ("Mikey")

13 May 1997 16:29:12 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Jon Thackray" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

I think you misunderstood the thrust of my message, if you
are willing to alter your specs file
you can have any include directories you want, just make sure
that the specs file you want to use is in the first directory searched
by gcc ie. export LIBRARY_PATH=/usr./lib will use the specs file from
/usr/lib
if there is one.
just make sure you DON'T have one in H-i386-cygwin32/lib/gcc-lib/etc...
cause that will get used first
so again in your specs file right under the line that says
*cpp:
put -I/your/include/dir
DON"T insert or delete any lines, just type the dirs you want on that
line.
if you want to exclude all of the system dirs add -nostdinc, then gcc cpp
and cc1 will
only search in the dirs you specify.
see the gcc man page or info page preprocessor options for more info.

>[email-masked] writes:
> > *cpp:
> > -I /some/include/dir
> >
> > H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/version-XXX/specs
>
>As I said, putting them on the command line is *NOT* an option.
>
> > From: Jon Thackray <[email-masked]>
> > To: [email-masked]
> > Date: Friday, May 09, 1997 5:12 PM
> > Subject: Picking up include directories automatically
> >
> > >Is there some way to persuade cpp to look in some include directories
> > >automatically? The old one used to look at the value of the include
> > >environment varaible, the latest (b17.1) appears to ignore this.
> > >Putting these directories on the command line is not an option, as
> > >they vary from machine to machine.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".